Subject: [DNA] Moving forward with draft-ietf-dna-link-information-06.txt

From: Jari Arkko <[email-masked]>
Date: Mon, 12 Mar 2007 22:47:35 +0200

Hi all,

I reviewed the revision and went through the IETF Last Call
discussion again. I think the new revision corresponds to
what was requested during Last Call. We also have confirmation
from Bernard that his issues were resolved by the new
revision.

However, I am not completely satisfied by the way that the
issues raised by Thomas and Pekka were addressed. I am
taking the draft forward, however. But I have a set of changes
below that will go in as RFC Editor notes, or to -07 if the draft
needs to be revised for other reasons during IESG review.
The changes relate to making sure that the informational
nature of the document is clear.

Insert a new paragraph between the 2nd and 3rd paragraph of
Section 1:

OLD:
NEW:
Link-layer event notifications can help IP expeditiously detect
configuration changes. This document provides a non-exhaustive
catalog of information available from some access technologies, and
discusses the interpretation of this information at the IP layer. This
document is not intended to specify or change the behaviour of these
access technologies in any manner.

Section 3:

OLD:
notification must be delivered
NEW:
notification is delivered

OLD:
notification must be generated and what information must be included in it
NEW:
notification is generated and what information is included in it

Section 3.1:

OLD:
must generate a link up
NEW:
generates a link up

OLD:
notification must be the IPv4
NEW:
notification is the IPv4

Section 3.2:

OLD:
notification must be delivered
NEW:
notification is delivered

OLD:
address must be provided
NEW:
address is provided

Section 3.3:

OLD:
must be generated
NEW:
is generated

OLD:
must cause a link up
NEW:
causes a link up

OLD:
notification must be generated, if one
NEW:
notification is generated, if one

OLD:
notification must be generated.
NEW:
notification is generated.